
data {
    int N;		//	The number of trials
    int Res[N];		//	Responses:  1 denotes -, 2 denotes +
    real X[N];		//	Stimuli
    real min_sgm;	//	The lower boundary of sgm
    real max_sgm;	//	The upper boundary of sgm
}

parameters {
    real<lower = 0.0> sgm;
    real pse;
}

transformed parameters {
    vector[2] p[N];		//	Probabilities for X[N]
    for (i in 1:N){
        p[i][1] = 1 - Phi((X[i] - pse) / sgm);
        p[i][2] = Phi((X[i] - pse) / sgm);
    }
}

model {
    sgm ~ uniform(min_sgm, max_sgm);
    for (i in 1:N)
        Res[i] ~ categorical(p[i]);
}


